View Issue Details

IDProjectCategoryView StatusLast Update
0004990Talerexchangepublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004990: bank-lib testcase skips..
DescriptionIt skips the tests showing a bunch of the following errors (from tripwire):

2017-04-21 13:51:25,540 http WARNING Method Not Allowed (GET): /admin/add/incoming
21/Apr/2017:13:51:25 +0000 HTTP/1.1 GET /admin/add/incoming HTTP/1.1 => 405
.Method Not Allowed (GET): /admin/add/incoming
2017-04-21 13:51:26,549 http WARNING Method Not Allowed (GET): /admin/add/incoming
21/Apr/2017:13:51:26 +0000 HTTP/1.1 GET /admin/add/incoming HTTP/1.1 => 405
Steps To ReproduceLog as test-blue or test-green, run 'source activate' and then taler-deployment-build. Note that if no changes occurred to the exchange, the last command will do
nothing.
TagsNo tags attached.

Activities

Marcello Stanisci

2017-04-21 19:31

manager   ~0012054

Christian, this error is normal, as that URI wants a POST. Why does the
exchange issue a GET?

Christian Grothoff

2017-05-04 22:47

manager   ~0012105

I've checked, the current code definitively now sends a POST to /admin/add/incoming.

Issue History

Date Modified Username Field Change
2017-04-21 16:11 Marcello Stanisci New Issue
2017-04-21 16:11 Marcello Stanisci Status new => assigned
2017-04-21 16:11 Marcello Stanisci Assigned To => Christian Grothoff
2017-04-21 16:12 Marcello Stanisci Assigned To Christian Grothoff => Marcello Stanisci
2017-04-21 19:31 Marcello Stanisci Note Added: 0012054
2017-05-04 22:47 Christian Grothoff Assigned To Marcello Stanisci => Christian Grothoff
2017-05-04 22:47 Christian Grothoff Status assigned => resolved
2017-05-04 22:47 Christian Grothoff Resolution open => fixed
2017-05-04 22:47 Christian Grothoff Fixed in Version => 0.3
2017-05-04 22:47 Christian Grothoff Note Added: 0012105
2017-05-04 22:48 Christian Grothoff Product Version => SVN HEAD
2017-05-04 22:48 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed